%define module  Heimdal-Kadm5
%define name    perl-%{module}
%define version 0.06
%define release %mkrel 9

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl extension for adminstration of Heimdal Kerberos servers
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://www.pdc.kth.se/heimdal/
Source:		ftp://ftp.su.se/pub/users/leifj/%{module}-%{version}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	heimdal-devel
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
Heimdal::Kadm5 is a basic XSUB perl glue to the Heimdal
(http://www.pdc.kth.se/src/heimdal) kadm5clnt library. Heimdal is a free,
slightly less export challenged implementation of Kerberos5 by Assar Westerlund
and Johan Danielsson. Heimdal::Kadm5 allows you to perform more administration
of your kdc than you can usually pull off with the included kadmin program.
Heimdal::Kadm5 should be considered alpha-code and may consequently crash and
burn but should not muck up your kdc any more than kadmin itself does.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor INC="-I%{_includedir}/heimdal"
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
# doesn't work without a running KDC
#%{__make} test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/Heimdal
%{perl_vendorarch}/auto/Heimdal
%{_mandir}/*/*


%changelog
* Thu Oct 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-9mdv2009.0
+ Revision: 290794
- fix summary and description (spotted by Buchan)

* Tue Sep 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-8mdv2009.0
+ Revision: 290160
- rebuild to fix linkage

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-5mdv2008.1
+ Revision: 156901
- fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - add BR on krb5-devel
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-2mdv2008.0
+ Revision: 81308
- rebuild

* Fri Jun 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2008.0
+ Revision: 39960
- new version

* Wed May 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.0
+ Revision: 20499
- Import perl-Heimdal-Kadm5



* Thu Apr 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.0
- first mdv release
